# Popeye
Date: 2012-12-25

## com.blogspot.applications4android.comicreader.comics.DailyKingFeatures
Class Popeye

    java.lang.Object
      com.blogspot.applications4android.comicreader.core.ComicParser
          com.blogspot.applications4android.comicreader.core.Comic
              com.blogspot.applications4android.comicreader.comictypes.DailyComic
                  com.blogspot.applications4android.comicreader.comictypes.DailyKingFeaturesComic
                      com.blogspot.applications4android.comicreader.comics.DailyKingFeatures.Popeye

    public class Popeye

extends DailyKingFeaturesComic

Field Summary

Fields inherited from class com.blogspot.applications4android.comicreader.comictypes.DailyKingFeaturesComic
`mFirstCal, mLatestCal`

Fields inherited from class com.blogspot.applications4android.comicreader.comictypes.DailyComic
`m_zone, mBound`

Fields inherited from class com.blogspot.applications4android.comicreader.core.Comic
`DIALOG_DATE, DIALOG_NUMBER, mFirstUid, mLatestUid, mPrevSessionUid, NAV_CURRENT, NAV_FIRST, NAV_LATEST, NAV_LATEST_FORCE, NAV_NEXT, NAV_PREV_SESSION, NAV_PREVIOUS, NAV_RANDOM, PROPS, TYPE_CACHING, TYPE_FAVORITE, TYPE_LATEST, TYPE_PREV_SESSION, TYPE_PREVIEW`

Constructor Summary
`Popeye()`

Method Summary
`java.lang.String` `getComicWebPageUrl()` Get the main page url for the current comic series
`protected java.util.Calendar` `getLatestCalendar()` Get a Calendar instance for the latest comic strip.

Methods inherited from class com.blogspot.applications4android.comicreader.comictypes.DailyKingFeaturesComic
`getFirstCalendar, getTimeFromUrl, getUrlFromTime, htmlNeeded, parse`

Methods inherited from class com.blogspot.applications4android.comicreader.comictypes.DailyComic
`addException, dialogType, getBound, getCurrentCal, getFirstStripUrl, getLatestStripUrl, getNextStripUrl, getPreviousStripUrl, getRandomStripUrl, urlsNotForCaching`

Methods inherited from class com.blogspot.applications4android.comicreader.core.Comic

`clearCache, clearHistory, currentHasImageText, currentTitleAsValidFilename, downloadCurrentStrip, getComicName, getCurrentStrip, getDefaultZoom, getFirstStrip, getLatestStrip, getLatestStripForcefully, getLaunchType, getName, getNextStrip, getPreviousSessionStrip, getPreviousStrip, getRandomStrip, getStripFromUrl, hasPreviousSession, hasUid, isCurrentFavorite, isCurrentFirstStrip, isCurrentLatestStrip, navigateStrip, queryUid, readOnlyUnread, readProperties, setCacheEnabled, setComicName, setCurrentAsFavorite, setDefaultZoom, setLaunchType, writeProperties`

Methods inherited from class com.blogspot.applications4android.comicreader.core.ComicParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Popeye

    public Popeye()

Method Detail

### getLatestCalendar

    protected java.util.Calendar getLatestCalendar()

  Description copied from class: `DailyComic`
  Get a Calendar instance for the latest comic strip.

  Overrides:
    `getLatestCalendar` in class `DailyKingFeaturesComic`
  Returns:
    Calendar instance for the latest strip

### getComicWebPageUrl

    public java.lang.String getComicWebPageUrl()

  Description copied from class: `Comic`
  Get the main page url for the current comic series

  Specified by:
    `getComicWebPageUrl` in class `Comic`
  Returns:
    desired url